Bug 826743 - [RFE] Need functionality to get a list of "newest" packages
[RFE] Need functionality to get a list of "newest" packages
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 17:13 EDT by Partha Aji
Modified: 2015-02-28 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 170 None None None Never

  None (edit)
Description Partha Aji 2012-05-30 17:13:29 EDT
Description of problem:
As a user of pulp I want to get a list of packages that will get installed from the repos I subscribe to. 
In other words  <given a list of repos>-> [r1, r2, r3 ..]
I 'd like an call that would return me the newest set of <package name - arch> combination. (newest as in the latest version). 


So for example if Repo R1 had Packages with pkg.1.i386 pkg.2.x86_64 and repo R2 had pkg.2.i386 
I would want my call to return
[pkg-2.i386, pkg-2.x86_64]
Comment 1 Partha Aji 2012-05-30 17:19:15 EDT
Feel free to email me/ comment if you have questions on this questions.
Comment 2 Brian Bouterse 2015-02-18 19:48:33 EST
Moved to https://pulp.plan.io/issues/170

Note You need to log in before you can comment on or make changes to this bug.